Bug 510119 - Xorg fails startup
Xorg fails startup
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
12
All Linux
low Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-07 14:42 EDT by dcmores
Modified: 2010-07-21 12:06 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-21 12:06:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log with no /etc/X11/xorg.conf file (10.90 KB, text/plain)
2009-07-07 14:42 EDT, dcmores
no flags Details
Using the nouveau driver configured in the xorg.conf file. (8.85 KB, text/plain)
2009-07-07 14:45 EDT, dcmores
no flags Details
Using the nv driver configured in the xorg.conf file (29.85 KB, text/plain)
2009-07-07 14:46 EDT, dcmores
no flags Details
xorg.conf file for the nouveau driver (2.36 KB, text/plain)
2009-07-07 14:48 EDT, dcmores
no flags Details
xorg.conf file for the nv driver (2.43 KB, text/plain)
2009-07-07 14:49 EDT, dcmores
no flags Details
lspci output for system (1.03 KB, text/plain)
2009-07-07 14:50 EDT, dcmores
no flags Details
Requested /var/run rom file (46.00 KB, application/octet-stream)
2009-09-18 04:56 EDT, dcmores
no flags Details
Xorg log from retest today (10.91 KB, text/x-log)
2009-11-07 08:50 EST, dcmores
no flags Details
request log file (11.21 KB, text/x-log)
2010-05-01 15:02 EDT, dcmores
no flags Details
requested messages file for f12 (216.18 KB, text/plain)
2010-05-01 15:04 EDT, dcmores
no flags Details

  None (edit)
Description dcmores 2009-07-07 14:42:32 EDT
Created attachment 350842 [details]
Xorg.0.log with no /etc/X11/xorg.conf file

Description of problem: The Fedora 11 install procedure installed the 'vesa' driver after failing to install 'nouveau' driver.  The screen resolution was very small, but could not be configured to a more reasonable resolution.  I consulted 'Common F11 bugs' document and after using 'Xorg -configure' to produce a new xorg.conf, the driver was changed to 'nv'.  This produced a working Xorg under F11. 


Version-Release number of selected component (if applicable):
Sony PCV-RX380DS PC with 1 GB RAM, 2 80GB HD
Graphics card  nVIDIA GeForce2 MX (AGP 4x)

How reproducible: Repeatable on my hardware.


Steps to Reproduce:
1. init 3
2. Set the driver to nouveau in /etc/X11/xorg.conf
3. startx

  
Actual results:
startx fails.

Expected results:
X11 screen.


Additional info:
Several attachments of the xorg.conf files and resulting Xorg.0.log files.
A listing of lspci output.
Comment 1 dcmores 2009-07-07 14:45:10 EDT
Created attachment 350844 [details]
Using the nouveau driver configured in the xorg.conf file.
Comment 2 dcmores 2009-07-07 14:46:01 EDT
Created attachment 350845 [details]
Using the nv driver configured in the xorg.conf file
Comment 3 dcmores 2009-07-07 14:48:31 EDT
Created attachment 350847 [details]
xorg.conf file for the nouveau driver
Comment 4 dcmores 2009-07-07 14:49:28 EDT
Created attachment 350848 [details]
xorg.conf file for the nv driver
Comment 5 dcmores 2009-07-07 14:50:21 EDT
Created attachment 350849 [details]
lspci output for system
Comment 6 Adam Williamson 2009-07-20 20:48:47 EDT
Can't find any connected displays...

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Ben Skeggs 2009-09-18 01:57:57 EDT
Are you by any chance able to upload any /var/run/nv*.rom files you have after an attempt at starting X?

Thanks.
Ben.
Comment 8 dcmores 2009-09-18 04:56:22 EDT
Created attachment 361612 [details]
Requested /var/run rom file

Per your request.
Comment 9 Matěj Cepl 2009-11-05 13:34:24 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 10 dcmores 2009-11-07 08:50:58 EST
Created attachment 367941 [details]
Xorg log from retest today
Comment 11 dcmores 2009-11-07 08:53:28 EST
This bug is not fixed in the latest retest of the nouveau driver.
Comment 12 dcmores 2009-12-11 11:20:43 EST
This bug is not fixed in Fedora 12 as well.
Comment 13 Bug Zapper 2010-04-27 11:32:02 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 David C. Mores 2010-04-27 11:49:02 EDT
This bug is not fixed in Fedora 12.  Please change the product version number to 12.  I cannot make this change or do not know how.
Comment 15 Ben Skeggs 2010-04-27 20:50:03 EDT
Done.  Can you please attach /var/log/messages and /var/log/Xorg.0.log from F12.
Comment 16 Adam Williamson 2010-04-29 11:27:25 EDT
ben: you changed it to 2 not 12 :)



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 17 Ben Skeggs 2010-04-29 18:37:39 EDT
Oops, fail.  Thanks for fixing Adam!
Comment 18 dcmores 2010-05-01 15:02:49 EDT
Created attachment 410723 [details]
request log file
Comment 19 dcmores 2010-05-01 15:04:34 EDT
Created attachment 410724 [details]
requested messages file for f12
Comment 20 dcmores 2010-05-01 15:11:47 EDT
I have continued to use the nv driver successfully since f11.  As long as that stays available, I am getting by.
Comment 21 Ben Skeggs 2010-05-02 20:38:47 EDT
Ah, right.  Can you remove "nomodeset" and retry?  Seeing those same logs would be useful if things are still bad.
Comment 22 dcmores 2010-05-03 06:21:45 EDT
Since I removed the xorg.conf file and let Xorg default everything for the test, how would I properly remove "nomodeset" to meet your request?
Comment 23 Ben Skeggs 2010-05-03 19:19:28 EDT
Edit /boot/grub/menu.lst (or /boot/grub/grub.conf if that's there instead) and remove the "nomodeset" from the kernel lines.
Comment 24 dcmores 2010-05-03 20:40:16 EDT
After removing the "nomodeset" from the kernel line, the boot up fails.  The behavior seems similar to when the trying to use the nouveau driver - i.e. the screen flashes with some horizontal stripes for about 1/2 second and goes black, then nothing.  Sorry - no opportunity to get new logs.
Comment 25 David C. Mores 2010-07-21 09:54:34 EDT
My interest in this problem has changed.  The hardware at issue is over 10 years old.  I have stopped using it due to this problem and other reasons, I will be recycling it, and now have all new system hardware without nvidia graphics hardware.

Please close.
Comment 26 Adam Williamson 2010-07-21 12:06:15 EDT
You're the boss.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.